AlonLevy/DigitalOceanDockerDiscourse

From TAMI
Revision as of 17:56, 15 June 2014 by AlonLevy (talk | contribs)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to navigationJump to search

Notes about installing of discourse via discourse-docker on fedora 19 on digital ocean.

https://github.com/srid/discourse-docker

yum install mosh -y
yum install postgresql-server -y
yum install python-pip -y
yum install supervisor -y
yum install git -y
cd /opt
mkdir docker
cd docker
git clone https://github.com/srid/discourse-docker.git
cd discourse-docker
systemctl start docker
systemctl enable docker
make pull
echo 'export DISCOURSE_HOST=mysite.com:5000' > .env
make supervisor
# start a second shell - the make supervisor continues to take the first shell


Update to 0.9.9.9

Failed at first docker line (run from make build).

According to the README:

  • Set DISCOURSE_VERSION in discourse/Dockerfile to the appropriate version
  • Rebuild the images using make build
  • Stop supervisord, clean up running docker containers, and run make supervisord
  • Run bin/discourse-start setup (this will run rake db:migrate)
  • Run bin/discourse-start "bundle exec rake assets:precompile"
  • Start discourse and the rest: bin/sup start all